package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_CONTROL_LOG_DETAIL所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2018-12-24
 */
@SuppressWarnings("serial")
public class HttControlLogDetailEntity implements java.io.Serializable {
    /**
     * 主表ID
     */
    private String controlId = "";
    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     */
    private String logsBeg = "";
    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     */
    private String logsEnd = "";
    /**
     * 停机分类
     */
    private String stopType = "";
    /**
     * 停机原因
     */
    private String stopReason = "";
    /**
     * 停机小类
     */
    private String stopSmall = "";
    /**
     * 序号
     */
    private String controlSeq = "";
    /**
     * 工序点
     */
    private String stationCode = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * 主表ID
     * @return value
     */
    public String getControlId() {
        return controlId;
    }

    /**
     * 主表ID
     * @param controlId value
     */
    public void setControlId(String controlId) {
        this.controlId = controlId;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsBeg() {
        return logsBeg;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @param logsBeg value
     */
    public void setLogsBeg(String logsBeg) {
        this.logsBeg = logsBeg;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsEnd() {
        return logsEnd;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @param logsEnd value
     */
    public void setLogsEnd(String logsEnd) {
        this.logsEnd = logsEnd;
    }

    /**
     * 停机分类
     * @return value
     */
    public String getStopType() {
        return stopType;
    }

    /**
     * 停机分类
     * @param stopType value
     */
    public void setStopType(String stopType) {
        this.stopType = stopType;
    }

    /**
     * 停机原因
     * @return value
     */
    public String getStopReason() {
        return stopReason;
    }

    /**
     * 停机原因
     * @param stopReason value
     */
    public void setStopReason(String stopReason) {
        this.stopReason = stopReason;
    }

    /**
     * 停机小类
     * @return value
     */
    public String getStopSmall() {
        return stopSmall;
    }

    /**
     * 停机小类
     * @param stopSmall value
     */
    public void setStopSmall(String stopSmall) {
        this.stopSmall = stopSmall;
    }

    /**
     * 序号
     * @return value
     */
    public String getControlSeq() {
        return controlSeq;
    }

    /**
     * 序号
     * @param controlSeq value
     */
    public void setControlSeq(String controlSeq) {
        this.controlSeq = controlSeq;
    }

    /**
     * 工序点
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}